/*
Scripts

Testing ScriptsAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package botapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/botapi"
)

func Test_botapi_ScriptsAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test ScriptsAPIService StartScript", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		httpRes, err := apiClient.ScriptsAPI.StartScript(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
